#ifndef _FILEIO_H_
#define _FILEIO_H_

#ifdef __cplusplus
extern "C" {
#endif				/* __cplusplus */



typedef long off_t;
typedef long ssize_t;

#define STDIN_FILENO 0
#define STDOUT_FILENO 1
#define STDERR_FILENO 2

#define FDMAX 16



void fio_init(void);
int fio_open(char *filename, char *mode);
int fio_open_as_stdout(char *filename, char *mode);
int fio_close(int fd);
ssize_t fio_read(int fd, void *buf, size_t count);
ssize_t fio_write(int fd, const void *buf, size_t count);
off_t fio_lseek(int fd, off_t offset, int whence);
void fio_fprintf(int fd,char *fmt, ...);

	
#ifdef __cplusplus
}
#endif				/* __cplusplus */

#endif /*_FILEIO_H_*/

